// test_ocxDlg.h : header file
//
//{{AFX_INCLUDES()
#include "vicx.h"
//}}AFX_INCLUDES

#if !defined(AFX_TEST_OCXDLG_H__E4956557_13A7_11D4_9729_0000E8DAD262__INCLUDED_)
#define AFX_TEST_OCXDLG_H__E4956557_13A7_11D4_9729_0000E8DAD262__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CTest_ocxDlg dialog

class CTest_ocxDlg : public CDialog
{
// Construction
public:
	char t[30];
	ULONG yearHigh;
	ULONG yearLow;
	ULONG month;
	ULONG day;
	ULONG hour;
	ULONG min;
	ULONG sec;
	void OnCancel();
	ULONG Port;
	CTest_ocxDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTest_ocxDlg)
	enum { IDD = IDD_TEST_OCX_DIALOG };
	CVICX	m_Vicx;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTest_ocxDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTest_ocxDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT nIDEvent);
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TEST_OCXDLG_H__E4956557_13A7_11D4_9729_0000E8DAD262__INCLUDED_)
